%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  picohdr
%global packver   0.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Read, Write and Manipulate High Dynamic Range Images

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-ctypesio 
Requires:         R-CRAN-ctypesio 

%description
High Dynamic Range (HDR) images support a large range in luminosity
between the lightest and darkest regions of an image.  To capture this
range, data in HDR images is often stored as floating point numbers and in
formats that capture more data and channels than standard image types.
This package supports reading and writing two types of HDR images; PFM
(Portable Float Map) and OpenEXR images. HDR images can be converted to
lower dynamic ranges (for viewing) using tone-mapping.  A number of
tone-mapping algorithms are included which are based on Reinhard (2002)
"Photographic tone reproduction for digital images"
<doi:10.1145/566654.566575>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
